Quassel IRC - Bug #517

Real Name should be set from /etc/passwd
02/05/2009 05:46 PM - jussiO1

Status: Resolved Start date: 02/05/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Linux
Description

By proxy from IRC

<Riddell> Sput: and why is the real name not set from /etc/passwd?

Related issues:

Related to Quassel IRC - Bug #516: Default Username should be users account name Resolved 02/05/2009

Associated revisions

Revision ce6529a3ea1566d5d013f54608617e0c4fd982e0 - 02/11/2009 10:23 PM - Manuel Nickschas

Use GECOS field for real name on Unix, fixes #517

Revision ce6529a3 - 02/11/2009 10:23 PM - Manuel Nickschas

Use GECOS field for real name on Unix, fixes #517

History

#1 - 02/05/2009 08:03 PM - EgS

This should only apply in Mono mode.

If Quassel(core) is used as a service this could expose confidential data to the users.

#2 - 02/07/2009 04:59 PM - EgS
EgS wrote:

This should only apply in Mono mode.

If Quassel(core) is used as a service this could expose confidential data to the users.

This makes also sense in the Client only version, as we no longer create identities in the core.

#3 - 02/07/2009 05:01 PM - EgS
- % Done changed from 0 to 30

Using Mac OS CoreServices to chose a proper default real name

#4 - 02/07/2009 06:46 PM - EgS
- % Done changed from 30 to 70

Windows uses now GetUserName from the Advapi32 library

#5 - 02/11/2009 12:55 AM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.0

- OS set to Linux
#6 - 02/11/2009 10:35 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 70 to 100

Applied in changeset ce6529a3ea1566d5d013f54608617e0c4fd982e0.
